Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/HeuristicLab.Calendar-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/HeuristicLab.Calendar-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/HeuristicLab.Calendar-3.3.csproj	(revision 4932)
@@ -94,4 +94,5 @@
     <Compile Include="Appointment\AppointmentSlotDuration.cs" />
     <Compile Include="Appointment\iAppointment.cs" />
+    <None Include="HeuristicLabCalendarPlugin.cs.frame" />
     <Compile Include="HeuristicLabCalendarPlugin.cs" />
     <Compile Include="Properties\CalendarResources.Designer.cs">
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/HeuristicLabCalendarPlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/HeuristicLabCalendarPlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/HeuristicLabCalendarPlugin.cs.frame	(revision 4932)
@@ -0,0 +1,30 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Calendar {
+  [Plugin("HeuristicLab.Calendar", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Calendar-3.3.dll", PluginFileType.Assembly)]
+  public class HeuristicLabCalendarPlugin : PluginBase {
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.DataAccess/3.3/HeuristicLab.DataAccess-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.DataAccess/3.3/HeuristicLab.DataAccess-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.DataAccess/3.3/HeuristicLab.DataAccess-3.3.csproj	(revision 4932)
@@ -105,4 +105,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="HeuristicLabDataAccessPlugin.cs.frame" />
     <Compile Include="HeuristicLabDataAccessPlugin.cs">
       <SubType>Code</SubType>
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.DataAccess/3.3/HeuristicLabDataAccessPlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.DataAccess/3.3/HeuristicLabDataAccessPlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.DataAccess/3.3/HeuristicLabDataAccessPlugin.cs.frame	(revision 4932)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.DataAccess {
+  [Plugin("HeuristicLab.DataAccess", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.DataAccess-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  public class HeuristicLabDataAccessPlugin : PluginBase {
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLab.Hive.Contracts-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLab.Hive.Contracts-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLab.Hive.Contracts-3.3.csproj	(revision 4932)
@@ -139,4 +139,5 @@
     <Compile Include="BusinessObjects\SlaveConfigDto.cs" />
     <Compile Include="BusinessObjects\SlaveGroupDtoList.cs" />
+    <None Include="HeuristicLabHiveContractsPlugin.cs.frame" />
     <Compile Include="MessageContainerWithCallback.cs" />
     <Compile Include="MessageContainerWithJob.cs" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLabHiveContractsPlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLabHiveContractsPlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLabHiveContractsPlugin.cs.frame	(revision 4932)
@@ -0,0 +1,34 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Server {
+  [Plugin("HeuristicLab.Hive.Contracts", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Hive.Contracts-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Collections", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  public class HeuristicLabHiveContractsPlugin : PluginBase {
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HeuristicLab.Hive.ExperimentManager.Views-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HeuristicLab.Hive.ExperimentManager.Views-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HeuristicLab.Hive.ExperimentManager.Views-3.3.csproj	(revision 4932)
@@ -133,4 +133,5 @@
   <ItemGroup>
     <Compile Include="ControlExtensions.cs" />
+    <None Include="HeuristicLabHiveExperimentManagerViewsPlugin.cs.frame" />
     <Compile Include="HiveJobListView.cs">
       <SubType>UserControl</SubType>
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HeuristicLabHiveExperimentManagerViewsPlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HeuristicLabHiveExperimentManagerViewsPlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HeuristicLabHiveExperimentManagerViewsPlugin.cs.frame	(revision 4932)
@@ -0,0 +1,47 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.ExperimentManager.Views {
+  [Plugin("HeuristicLab.Hive.ExperimentManager.Views", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Hive.ExperimentManager.Views-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Collections", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Core.Views", "3.3")]
+  [PluginDependency("HeuristicLab.Data", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.ExperimentManager", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.JobBase", "3.3")]
+  [PluginDependency("HeuristicLab.MainForm", "3.3")]
+  [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")]
+  [PluginDependency("HeuristicLab.Operators.Views", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization.Views", "3.3")]
+  [PluginDependency("HeuristicLab.Optimizer", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  public class HeuristicLabHiveExperimentManagerViewsPlugin : PluginBase {
+
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/HeuristicLab.Hive.ExperimentManager-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/HeuristicLab.Hive.ExperimentManager-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/HeuristicLab.Hive.ExperimentManager-3.3.csproj	(revision 4932)
@@ -118,4 +118,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="HeuristicLabHiveExperimentManagerPlugin.cs.frame" />
     <Compile Include="Exceptions\AddJobToHiveException.cs" />
     <Compile Include="HiveExperiment.cs" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/HeuristicLabHiveExperimentManagerPlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/HeuristicLabHiveExperimentManagerPlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/HeuristicLabHiveExperimentManagerPlugin.cs.frame	(revision 4932)
@@ -0,0 +1,42 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.ExperimentManager {
+  [Plugin("HeuristicLab.Hive.ExperimentManager", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Hive.ExperimentManager-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Clients.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Collections", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Data", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.JobBase", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  public class HeuristicLabHiveExperimentManagerPlugin : PluginBase {
+
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/HeuristicLab.Hive.JobBase-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/HeuristicLab.Hive.JobBase-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/HeuristicLab.Hive.JobBase-3.3.csproj	(revision 4932)
@@ -116,4 +116,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="HeuristicLabHiveJobBasePlugin.cs.frame" />
     <Compile Include="Interfaces\IJob.cs" />
     <Compile Include="HeuristicLabHiveJobBasePlugin.cs" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/HeuristicLabHiveJobBasePlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/HeuristicLabHiveJobBasePlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/HeuristicLabHiveJobBasePlugin.cs.frame	(revision 4932)
@@ -0,0 +1,33 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.JobBase {
+  [Plugin("HeuristicLab.Hive.JobBase", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Hive.JobBase-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Collections", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  public class HeuristicLabHiveJobBasePlugin: PluginBase {
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/JobBase.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/JobBase.cs	(revision 4931)
+++ 	(revision )
@@ -1,99 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading;
-using System.Xml;
-using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-
-namespace HeuristicLab.Hive.JobBase {
-  [Serializable]
-  [StorableClass]
-  abstract public class JobBase : IJob {
-
-    private Thread thread = null;
-    public event EventHandler JobStopped;
-    public event EventHandler JobFailed;
-    
-    [Storable]
-    public long JobId { get; set; }
-
-    [Storable]
-    public double Progress { get; set; }
-
-    [Storable]
-    public bool Running { get; set; }
-
-    [Storable]
-    protected bool abort = false;    
-
-    abstract public void Run();
-    private void SecureRun() {
-      try {
-        Run();
-      }
-      catch (Exception ex) {
-        if (JobFailed != null)
-          JobFailed(this, new EventArgs());
-      }
-    }
-
-    public void Start() {
-      thread = new Thread(new ThreadStart(Run));      
-      thread.Start();
-      Running = true;
-    }
-
-    public void Stop() {
-      abort = true;        
-    }
-
-    protected void OnJobStopped() {
-      Console.WriteLine("Job has finished");
-      Running = false;
-      if (JobStopped != null)
-        JobStopped(this, new EventArgs());
-    }
-
-    //public override XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid, IStorable> persistedObjects) {
-    //  XmlNode node = base.GetXmlNode(name, document, persistedObjects);
-
-    //  XmlNode progr = document.CreateNode(XmlNodeType.Element, "Progress", null);
-    //  progr.InnerText = Convert.ToString(Progress);
-
-    //  node.AppendChild(progr);
-    //  return node;
-    //}
-    //public override void Populate(XmlNode node, IDictionary<Guid, IStorable> restoredObjects) {
-    //  base.Populate(node, restoredObjects);
-
-    //  XmlNode progr = node.SelectSingleNode("Progress");
-    //  Progress = Convert.ToDouble(progr.InnerText);
-    //}
-
-    public JobBase() {    
-    }
-  }
-}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/TestJob.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/TestJob.cs	(revision 4931)
+++ 	(revision )
@@ -1,78 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Diagnostics;
-using System.Xml;
-using System.Threading;
-using System.IO;
-using System.Security.Permissions;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-
-namespace HeuristicLab.Hive.JobBase {
-  [Serializable]
-  [StorableClass]
-  public class TestJob: JobBase {
-
-    [Storable]
-    private int runValue = 0;
-
-    public TestJob() {
-    }
-
-    public override void Run() {
-      int max = 100;
-      while(runValue < max && abort == false) {
-        //for (int y = 0; y < Int32.MaxValue; y++) ;
-        Thread.Sleep(200);   
-        if (abort == true) {            
-          Debug.WriteLine("Job Abort Processing");
-          break;
-        }
-        runValue++;
-        Progress = (double)runValue / max;        
-        Debug.WriteLine("Iteration " + runValue + " done");
-        Debug.WriteLine("Progress " + Progress*100 + " Percent");
-      }      
-      OnJobStopped();
-    }
-
-    //public override System.Xml.XmlNode GetXmlNode(string name, System.Xml.XmlDocument document, IDictionary<Guid, HeuristicLab.Core.IStorable> persistedObjects) {      
-    //  XmlNode node = base.GetXmlNode(name, document, persistedObjects);
-    
-    //  XmlNode startValue = document.CreateNode(XmlNodeType.Element, "StartValue", null);
-    //  startValue.InnerText = Convert.ToString(runValue);
-      
-    //  node.AppendChild(startValue);
-    //  return node;
-    //}
-
-    //public override void Populate(XmlNode node, IDictionary<Guid, HeuristicLab.Core.IStorable> restoredObjects) {
-    //  base.Populate(node, restoredObjects);
-
-    //  XmlNode startValue = node.SelectSingleNode("StartValue");
-    //  runValue = Convert.ToInt32(startValue.InnerText);
-    //}
-  }
-}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLab.Hive.Server.Console-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLab.Hive.Server.Console-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLab.Hive.Server.Console-3.3.csproj	(revision 4932)
@@ -139,4 +139,5 @@
     </Compile>
     <Compile Include="Changes.cs" />
+    <None Include="HeuristicLabHiveClientConsolePlugin.cs.frame" />
     <Compile Include="HiveServerConsole.cs">
       <SubType>Form</SubType>
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLabHiveClientConsolePlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLabHiveClientConsolePlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLabHiveClientConsolePlugin.cs.frame	(revision 4932)
@@ -0,0 +1,37 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Grid {
+  [Plugin("HeuristicLab.Hive.Server.Console", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Hive.Server.Console-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Calendar", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.JobBase", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  public class HeuristicLabHiveSlaveConsolePlugin : PluginBase {
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLab.Hive.Server.Core-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLab.Hive.Server.Core-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLab.Hive.Server.Core-3.3.csproj	(revision 4932)
@@ -117,4 +117,5 @@
   <ItemGroup>
     <Compile Include="Authorization\AuthorizationManager.cs" />
+    <None Include="HeuristicLabHiveServerCorePlugin.cs.frame" />
     <Compile Include="CreateHiveDatabaseApplication.cs" />
     <Compile Include="SlaveCommunicator.cs" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLabHiveServerCorePlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLabHiveServerCorePlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLabHiveServerCorePlugin.cs.frame	(revision 4932)
@@ -0,0 +1,36 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Server {
+  [Plugin("HeuristicLab.Hive.Server.Core", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Hive.Server.Core-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Collections", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Server.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Server.LINQDataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
+  public class HeuristicLabHiveServerCorePlugin : PluginBase {
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/HeuristicLab.Hive.Server.DataAccess-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/HeuristicLab.Hive.Server.DataAccess-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/HeuristicLab.Hive.Server.DataAccess-3.3.csproj	(revision 4932)
@@ -87,4 +87,5 @@
   -->
   <ItemGroup>
+    <None Include="HeuristicLabHiveServerDataAccessPlugin.cs.frame" />
     <Compile Include="DataAccessException.cs" />
     <Compile Include="IHiveExperimentDao.cs" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/HeuristicLabHiveServerDataAccessPlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/HeuristicLabHiveServerDataAccessPlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/HeuristicLabHiveServerDataAccessPlugin.cs.frame	(revision 4932)
@@ -0,0 +1,32 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.DataAccess {
+  [Plugin("HeuristicLab.Hive.Server.DataAccess", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Hive.Server.DataAccess-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  public class HeuristicLabHiveServerDataAccessPlugin : PluginBase {
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLab.Hive.Server.LINQDataAccess-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLab.Hive.Server.LINQDataAccess-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLab.Hive.Server.LINQDataAccess-3.3.csproj	(revision 4932)
@@ -105,4 +105,5 @@
   <ItemGroup>
     <Compile Include="BaseDao.cs" />
+    <None Include="HeuristicLabHiveServerLINQDataAccessPlugin.cs.frame" />
     <Compile Include="HiveExperimentDao.cs" />
     <Compile Include="SlaveConfigDao.cs" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLabHiveServerLINQDataAccessPlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLabHiveServerLINQDataAccessPlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLabHiveServerLINQDataAccessPlugin.cs.frame	(revision 4932)
@@ -0,0 +1,34 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Server.LINQDataAccess {
+  [Plugin("HeuristicLab.Hive.Server.LINQDataAccess", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Hive.Server.LINQDataAccess-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Server.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
+  public class HeuristicLabHiveServerLINQDataAccessPlugin: PluginBase {
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLab.Hive.Slave.Common-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLab.Hive.Slave.Common-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLab.Hive.Slave.Common-3.3.csproj	(revision 4932)
@@ -119,4 +119,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="HeuristicLabHiveSlaveCommonPlugin.cs.frame" />
     <Compile Include="HeuristicLabHiveSlaveCommonPlugin.cs" />
     <Compile Include="MessageQueue.cs" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLabHiveSlaveCommonPlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLabHiveSlaveCommonPlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLabHiveSlaveCommonPlugin.cs.frame	(revision 4932)
@@ -0,0 +1,33 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Slave.Common {
+  [Plugin("HeuristicLab.Hive.Slave.Common", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Hive.Slave.Common-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  public class HeuristicLabHiveSlaveCommonPlugin: PluginBase {
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4932)
@@ -111,4 +111,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="HeuristicLabHiveSlaveCommunicationPlugin.cs.frame" />
     <Compile Include="HeuristicLabHiveSlaveCommunicationPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLabHiveSlaveCommunicationPlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLabHiveSlaveCommunicationPlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLabHiveSlaveCommunicationPlugin.cs.frame	(revision 4932)
@@ -0,0 +1,38 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Slave.Communication {
+
+  [Plugin("HeuristicLab.Hive.Slave.Communication", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Hive.Slave.Communication-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Clients.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Slave.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.JobBase", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
+  public class HeuristicLabHiveSlaveCommunicationPlugin : PluginBase {
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLab.Hive.Slave.Console-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLab.Hive.Slave.Console-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLab.Hive.Slave.Console-3.3.csproj	(revision 4932)
@@ -115,4 +115,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="HeuristicLabHiveSlaveConsolePlugin.cs.frame" />
     <Compile Include="HiveSlaveConsole.cs">
       <SubType>Form</SubType>
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLabHiveSlaveConsolePlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLabHiveSlaveConsolePlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLabHiveSlaveConsolePlugin.cs.frame	(revision 4932)
@@ -0,0 +1,31 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Slave.Console {
+  [Plugin("HeuristicLab.Hive.Slave.Console", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Hive.Slave.Console-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Calendar", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  public class HeuristicLabHiveSlaveConsolePlugin : PluginBase {
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLab.Hive.Slave.Core-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLab.Hive.Slave.Core-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLab.Hive.Slave.Core-3.3.csproj	(revision 4932)
@@ -108,4 +108,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="HeuristicLabHiveSlaveCorePlugin.cs.frame" />
     <Compile Include="Logger.cs" />
     <Compile Include="SlaveConsoleService\SlaveConsoleCommunicator.cs" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLab.Hive.Slave.ExecutionEngine-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLab.Hive.Slave.ExecutionEngine-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLab.Hive.Slave.ExecutionEngine-3.3.csproj	(revision 4932)
@@ -105,4 +105,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="HeuristicLabHiveSlaveExecutionEnginePlugin.cs.frame" />
     <Compile Include="Executor.cs" />
     <Compile Include="HeuristicLabHiveSlaveExecutionEnginePlugin.cs" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLabHiveSlaveExecutionEnginePlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLabHiveSlaveExecutionEnginePlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLabHiveSlaveExecutionEnginePlugin.cs.frame	(revision 4932)
@@ -0,0 +1,35 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Slave.ExecutionEngine {
+  [Plugin("HeuristicLab.Hive.Slave.ExecutionEngine", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Hive.Slave.ExecutionEngine-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Slave.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.JobBase", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")] 
+  public class HeuristicLabHiveSlaveExecutionEnginePlugin: PluginBase {
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/HeuristicLab.Hive.Tracing-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/HeuristicLab.Hive.Tracing-3.3.csproj	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/HeuristicLab.Hive.Tracing-3.3.csproj	(revision 4932)
@@ -115,4 +115,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="HeuristicLabHiveTracingPlugin.cs.frame" />
     <Compile Include="HeuristicLabHiveTracingPlugin.cs" />
     <Compile Include="Logger.cs" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/HeuristicLabHiveTracingPlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/HeuristicLabHiveTracingPlugin.cs.frame	(revision 4932)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Tracing/3.3/HeuristicLabHiveTracingPlugin.cs.frame	(revision 4932)
@@ -0,0 +1,29 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.JobBase {
+  [Plugin("HeuristicLab.Hive.Tracing", "3.3.2.$WCREV$")]
+  [PluginFile("HeuristicLab.Hive.Tracing-3.3.dll", PluginFileType.Assembly)]
+  public class HeuristicLabHiveTracingPlugin : PluginBase {
+  }
+}
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Files.txt
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Files.txt	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Files.txt	(revision 4932)
@@ -17,5 +17,5 @@
 HeuristicLab.Hive.JobBase\3.3:HeuristicLab.Hive.JobBase-3.3.dll
 
-HeuristicLab.Hive.Server\3.3:HeuristicLab.Hive.Server-3.3.dll
+; HeuristicLab.Hive.Server\3.3:HeuristicLab.Hive.Server-3.3.dll ; standalone server not needed anymore
 HeuristicLab.Hive.Server.Console\3.3:HeuristicLab.Hive.Server.Console-3.3.dll
 HeuristicLab.Hive.Server.Core\3.3:HeuristicLab.Hive.Contracts-3.3.dll
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/PreBuildEvent.cmd
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/PreBuildEvent.cmd	(revision 4931)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/PreBuildEvent.cmd	(revision 4932)
@@ -1,1 +1,2 @@
-SubWCRev "%ProjectDir%\" "%ProjectDir%\Properties\AssemblyInfo.frame" "%ProjectDir%\Properties\AssemblyInfo.cs"
+cd %ProjectDir%
+for /r %%i in (*.cs.frame) do SubWCRev . %%i %%~dpi%%~ni
